store-employees-get-one

Source

  • Repository: jef-systems/jef-store-backend

  • Source Run ID: 25333167796

  • Source SHA: 69cb846339fa14db005aec45414a4a94ec2a821e

  • Module: store

  • Documentation Scope: get

  • Lambda: jef-store-get-21

Endpoint

  • API Name: jef-store

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /store-employees-get-one

  • Complete Endpoint: https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-employees-get-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-21

  • curl payload mode: query_string

API Gateway Description

Function: jef-store-get-21
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-employees-get-one

Table:
- table: jef-store-employees
- operation: get-one

Payload Schema:
- pk: employee_number

Payload Example:
- pk: EMP-1001-0001

Response Schema:
- exists: boolean
- message: string
- item: {"employee_number":"string","entity_number":"string","employee_name":"string","role":"string","password_hash":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}

Request Payload

{
  "pk": "employee_number"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "item": "{\"employee_number\":\"string\",\"entity_number\":\"string\",\"employee_name\":\"string\",\"role\":\"string\",\"password_hash\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}

CMD curl

curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-employees-get-one?pk=EMP-1001-0001"

PowerShell curl

curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-employees-get-one?pk=EMP-1001-0001"